.. java:import:: java.nio Buffer

.. java:import:: java.nio ByteBuffer

.. java:import:: java.nio ByteOrder

.. java:import:: java.nio DoubleBuffer

.. java:import:: java.nio FloatBuffer

.. java:import:: java.nio IntBuffer

.. java:import:: java.nio LongBuffer

.. java:import:: java.util Arrays

.. java:import:: java.util Locale

Tensor.Tensor_int64
===================

.. java:package:: org.pytorch
   :noindex:

.. java:type:: static class Tensor_int64 extends Tensor
   :outertype: Tensor

Methods
-------
dtype
^^^^^

.. java:method:: @Override public DType dtype()
   :outertype: Tensor.Tensor_int64

getDataAsLongArray
^^^^^^^^^^^^^^^^^^

.. java:method:: @Override public long[] getDataAsLongArray()
   :outertype: Tensor.Tensor_int64

getRawDataBuffer
^^^^^^^^^^^^^^^^

.. java:method:: @Override  Buffer getRawDataBuffer()
   :outertype: Tensor.Tensor_int64

toString
^^^^^^^^

.. java:method:: @Override public String toString()
   :outertype: Tensor.Tensor_int64
